Summary: Perl-compatible regular expression library
Name: pcre
Version: 4.3
Release: 1
Group: System Environment/Libraries
License: GPL
URL: http://www.pcre.org/
Packager: Hao Li <hli@haoli.org>
Source: ftp://ftp.sourceforge.net/projects/pcre/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: sed

%description
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.


%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for %{name}.


%prep
%setup -q
%configure --enable-utf8


%build
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_lib}
mv $RPM_BUILD_ROOT%{_libdir}/libpcre.so.* $RPM_BUILD_ROOT/%{_lib}/
( cd $RPM_BUILD_ROOT%{_libdir} && ln -sf ../../%{_lib}/libpcre.so.0 libpcre.so )
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_bindir}/pcregrep
%{_bindir}/pcretest
/%{_lib}/*.so.*
%{_libdir}/*.so.*
%{_mandir}/man1/*


%files devel
%defattr(-,root,root)
%{_bindir}/pcre-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_mandir}/man3/*


%clean
rm -rf $RPM_BUILD_ROOT

